"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SkipType = void 0;
var SkipType;
(function (SkipType) {
    /**
     * 审批通过
     */
    SkipType["PASS"] = "PASS";
    /**
     * 退回
     */
    SkipType["REJECT"] = "REJECT";
})(SkipType || (exports.SkipType = SkipType = {}));
exports.default = (client) => ({
    /**
     * 分页待办任务列表
     */
    toDoPage: (flowTask, pageNum = 1, pageSize = 10) => client.request({
        url: '/flow/execute/toDoPage',
        method: 'GET',
        params: Object.assign(Object.assign({}, flowTask), { pageNum, pageSize }),
    }),
    /**
     * 办理任务
     * @param completeTaskForm 办理任务参数
     */
    completeTask: (completeTaskForm) => client.request({
        url: '/flow/execute/completeTask',
        method: 'POST',
        data: completeTaskForm,
    }),
    /**
     * 查询已办任务历史记录
     * @param instanceId 流程实例ID
     */
    doneList: (instanceId) => client.request({
        url: `/flow/execute/doneList/${instanceId}`,
        method: 'GET',
    }),
});
